Subject: lad's green card

From: [email-masked] (XXXXXX)
Date: Sun, 18 Sep 94 08:16:46 CDT

Dear netters:
I am seeking advice from netters who had similar experience.  My wife is a
lad.  She sent in her application last year.  She is one of the lucky ones
and got approved and passport stamped early this july.  Last week (after two
and a half months since her passport was stamped), I called the INS card
facility.  Unexpectedly, the message was "INS has not received any
application to make a card for this alien".  I wonder what is going on?  Maybe
the INS is too sloppy as they are to update the message system (for 2 months)?
or the local INS (Phila) is so sloppy that they have not sent the application
to the card facility yet?
I guess there should be no problem.  But, if anyone has the similar
experience, please give me your advice.  Maybe I should write a letter to the
local INS office for further confirmation.
Thanks for your attention.
yzli